Package com.io7m.idstore.server.api

# Record Class IdServerHistoryConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerHistoryConfiguration

Record Components:
  `userLoginHistoryLimit` - The limit on the number of user login records
  `adminLoginHistoryLimit` - The limit on the number of admin login records

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerHistoryConfiguration(int userLoginHistoryLimit, int adminLoginHistoryLimit) extends Record implements IdServerJSONConfigurationElementType
Configuration information related to keeping history.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerHistoryConfiguration(int userLoginHistoryLimit, int adminLoginHistoryLimit)`
  Configuration information related to keeping history.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `adminLoginHistoryLimit()`
  Returns the value of the `adminLoginHistoryLimit` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `userLoginHistoryLimit()`
  Returns the value of the `userLoginHistoryLimit` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.api.IdServerJSONConfigurationElementType

  `schemaId`

- ## Constructor Details

  - ### IdServerHistoryConfiguration

    public IdServerHistoryConfiguration(int userLoginHistoryLimit, int adminLoginHistoryLimit)
    Configuration information related to keeping history.
    Parameters:
      `userLoginHistoryLimit` - The limit on the number of user login records
      `adminLoginHistoryLimit` - The limit on the number of admin login records

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userLoginHistoryLimit

    public int userLoginHistoryLimit()
    Returns the value of the `userLoginHistoryLimit` record component.
    Returns:
      the value of the `userLoginHistoryLimit` record component

  - ### adminLoginHistoryLimit

    public int adminLoginHistoryLimit()
    Returns the value of the `adminLoginHistoryLimit` record component.
    Returns:
      the value of the `adminLoginHistoryLimit` record component